ZZIP_TELL(3)

NAME
zzip_tell, zzip_tell32 - tell.

SYNOPSIS

#include <zzip/lib.h>

zzip_off_t zzip_tell((ZZIP_FILE * fp));

long zzip_tell32((ZZIP_FILE * fp));

DESCRIPTION

The zzip_tell function will tell(2) the current position in a real/zipped file

It will return the current offset within the real/zipped file, measured in uncompressed bytes for the zipped-file case.

If the file-handle is wrapping a stat'able file then it will actually just perform a normal tell(2)-call, otherwise the offset is calculated from the amount of data left and the total uncompressed size;

The zzip_tell32 function is provided for users who can not use any largefile-mode.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <Tomi.Ollila@iki.fi>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)